<?php
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_show_hide_link package for Concrete5
 * Copyright Copyright 2018-2019, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_show_hide_link
 */

$c = Page::getCurrentPage();
?>
 
<div class="ab-show-hide-link" data-jq="<?php echo h($data); ?>">
    <?php if ($c->isEditMode()) {
        echo str_replace("\n", "<br />", $plain_text);
        echo $text_show;
        echo $text_hide;
    }
    else {
        if ($truncate) { ?>
            <div class="text-to-show">
                <?php 
                $s = str_replace("\n", "<br />", $plain_text); 
                echo '<span class="shown-text">' . mb_substr($s, 0, $num_char > 0 ? $num_char : null, 'UTF-8') . '</span><span class="dots">...</span>';
                echo '<span class="hidden-text">' . mb_substr($s, $num_char, null, 'UTF-8') . '</span>';
                ?>
            </div>
            <a class="show-hide"><?php echo $link_text_show; ?><i class="fa fa-angle-down"></i></a>
        <?php 
        }
        else { ?>
            <div class="text-to-show">
                <?php echo $text_show; ?>
            </div>
            <div class="text-to-hide">
                <?php echo $text_hide; ?>
            </div>
            <a class="show-hide"><?php echo $link_text_show; ?><i class="fa fa-angle-down"></i></a>
         <?php 
        }
    }
    ?>
</div>
